Loading...
Searching...
No Matches
sys_paths.h File Reference
`#include "api.h"`
`#include <filesystem>`
Include dependency graph for sys_paths.h:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::paths

## Functions

GR_RUNTIME_API std::filesystem::path | gr::paths::tmp ()
| directory to create temporary files.
GR_RUNTIME_API std::filesystem::path | gr::paths::appdata ()
| directory that stores user data; typicall $HOME
GR_RUNTIME_API std::filesystem::path | gr::paths::userconf ()
| directory that stores configuration.
GR_RUNTIME_API std::filesystem::path | gr::paths::cache ()
| directory to store non-portable caches (e.g. FFTW wisdom)
GR_RUNTIME_API std::filesystem::path | gr::paths::persistent ()
| directory to store persistent application state (e.g. window layouts, generated GRC hier blocks)
GR_RUNTIME_API const char * | gr::tmp_path ()
| directory to create temporary files
GR_RUNTIME_API const char * | gr::appdata_path ()
| directory to store application data
GR_RUNTIME_API const char * | gr::userconf_path ()
| directory to store user configuration